function createVSlider(minPos/*almost always 0*/, maxPos, minPos_val, maxPos_val, power) {
    
    /*---------------------------------------
     * Javascript potenser/logaritmer
     *---------------------------------------

    Math.E = 2.718.. 
    Math.LN10 = Math.log(10) = 2.302..
    Math.exp(2.302) = Math.pow(2.718, 2.302) = 10;
    
    Math.pow(10,2) = 10^2 = 100  omvnt-> 	Math.log(100)/Math.LN10 = 2 	eller enklare->  Math.log10(100) = 2  _men Math.log10 stds inte verallt_!
    Math.pow(3,4)) = 3^4 = 81	omvnt->	Math.log(81)/Math.log(3) = 4 
    
    --------------------------------------------*/
    
    var sl = new createjs.Container();
    //make vars publically available
    sl.minPos = minPos; sl.maxPos = maxPos;
    sl.minPos_val = minPos_val; sl.maxPos_val = maxPos_val;
    
    var shape = new createjs.Shape();
   
    sl.addChild(shape);
    shape.graphics.setStrokeStyle(2).beginStroke("#000000").moveTo(0,minPos).lineTo(0,maxPos);
    
    sl.handle = new lib.SliderHandle;
    sl.addChild(sl.handle)
   // sl.handle.setBounds(-17,-12,34,24);//shape bounds are not set automatically
    sl.handle.setBounds(-25,-25,50,50);//shape bounds are not set automatically
    var b = sl.getBounds()
    sl.handle.cache(b.x,b.y,b.width,b.height);
    
    var hit = new createjs.Shape()
    hit.graphics.beginFill("rgb(255,255,255)").drawRect(b.x,0,b.width, maxPos);
    sl.hitArea = hit;
    
    sl.on("mousedown", function(e){
	sl.handle.y = e.localY;
	sl.dispatchEvent("change"); //externally defined function listens to this
    });
    sl.on("pressmove", function(e){
	sl.handle.y = e.localY
	if (sl.handle.y > maxPos) sl.handle.y = maxPos;
	else if (sl.handle.y < minPos) sl.handle.y = minPos;
	sl.dispatchEvent("change");
    });
    sl.setPositionByRatio = function(ratio/*value between 0 = min and 1 = max */){
	if(ratio > 1)ratio = 1;
	else if(ratio < 0)ratio = 0;
	sl.handle.y = minPos + ratio*(maxPos-minPos);//minPos etc are params of the function call but they never change and can thus be used 
	sl.dispatchEvent("change");
    }
    sl.setPositionByValue = function(val) {

	var ratio = sl.convertValueToRatio(val);
	
	sl.handle.y = minPos + ratio*(maxPos-minPos);
	sl.dispatchEvent("change");
	//sl.handle.y = ( minPos + (val-minPos_val)*(maxPos-minPos)/(maxPos_val-minPos_val) );
	//var k = (maxPos_val-minPos_val)/((maxPos-minPos)*(maxPos-minPos))
	//sl.handle.y = Math.sqrt( (val-minPos_val)/k )+minPos;
    }
    sl.convertValueToRatio = function(val){//without actually changing handle.y and no event dispatch
	//clamp values
	var max, min;
	//maxPos_val may not be larger than minPos_val
	if(maxPos_val > minPos_val){ max = maxPos_val;min = minPos_val;}
	else{max = minPos_val;min = maxPos_val;}
	if(val > max)val = max;
	else if(val < min)val = min;
	
	//if eponentiell
	if (power === 'x') {
	    var ratio = (Math.log(val)-Math.log(minPos_val))/(Math.log(maxPos_val)-Math.log(minPos_val))
	    //console.log("set pos by val", Math.log(val), (Math.log(maxPos_val), Math.log(minPos-val) )
	}
	else{
	    var ratio = (val-minPos_val)/(maxPos_val-minPos_val)
	    if (power !== undefined) {
		ratio = Math.log(ratio)/Math.log(power);
	    }
	}
	return ratio;
    }
    sl.getRatio = function(){
	return (sl.handle.y-minPos)/(maxPos-minPos);
    }
    sl.getValue = function(){
	//console.log(minPos, maxPos, minPos_val, maxPos_val, sl.handle.y)

	var ratio = (sl.handle.y-minPos)/(maxPos-minPos);
	
	if (power === 'x') {
	    var minPos_exp = Math.log(minPos_val);
	    var maxPos_exp = Math.log(maxPos_val);
	    
	    var curPos_exp = minPos_exp + ratio*(maxPos_exp-minPos_exp)
	    //return Math.pow(Math.E, curPos_exp);
	    return Math.exp(curPos_exp);
	}
	else if(power !== undefined) ratio = Math.pow(ratio, power);
	
	return minPos_val + ratio*(maxPos_val-minPos_val)
    
	//return( minPos_val+(sl.handle.y-minPos)*(maxPos_val-minPos_val)/(maxPos-minPos) );

	//var k = (maxPos_val-minPos_val)/((maxPos-minPos)*(maxPos-minPos))
	//return minPos_val + k*(sl.handle.y-minPos)*(sl.handle.y-minPos);
    }

    //offset dragging (for big dragable objects)
//    sl.handle.on("mousedown", function(e){
//	//as dragging always is relative to the global position of mouse, we must work with globals only so that scaling does not influence result
//	sl.handle_gy_mousedown = sl.localToGlobal(0, sl.handle.y).y;
//	sl.mouseY_mousedown = stage.mouseY;	
//    });
//    sl.handle.on("pressmove", function(e){
//	
//	var dy = stage.mouseY-sl.mouseY_mousedown;
//	var handle_gy = sl.handle_gy_mousedown + dy;
//
//	sl.handle.y = sl.globalToLocal(0, handle_gy).y;
//	if (sl.handle.y > maxPos) sl.handle.y = maxPos;
//	else if (sl.handle.y < minPos) sl.handle.y = minPos;
//    })

    return sl
}